Package org.tmatesoft.svn.core.wc.admin

# Class SVNChangeEntry

java.lang.Object
org.tmatesoft.svn.core.wc.admin.SVNChangeEntry

public class SVNChangeEntry extends Object
SVNChangeEntry objects are used to pass path change information to clients. These objects are passed to `ISVNChangeEntryHandler`.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`TYPE_ADDED`
Char 'A' (item added).
`static final char`
`TYPE_DELETED`
Char 'D' (item deleted).
`static final char`
`TYPE_UPDATED`
Char 'U' (item updated).

## Constructor Summary

Constructors
Constructor
Description
`SVNChangeEntry(String path, SVNNodeKind kind, char type, String copyFromPath, long copyFromRevision, boolean hasTextModifications, boolean hasPropModifications)`
Constructs a change entry object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCopyFromPath()`
Returns a copy-from source path.
`long`
`getCopyFromRevision()`
Returns a copy-from source revision.
`SVNNodeKind`
`getKind()`
Returns the node kind of the item.
`String`
`getPath()`
Returns the absolute path of the changed item represented by this object.
`char`
`getType()`
Returns the type of the item change.
`boolean`
`hasPropertyModifications()`
Says whether the item's properties were modified.
`boolean`
`hasTextModifications()`
Says whether the file item's contents were modified.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_ADDED

public static final char TYPE_ADDED
Char 'A' (item added).

See Also:
  - Constant Field Values

### TYPE_DELETED

public static final char TYPE_DELETED
Char 'D' (item deleted).

See Also:
  - Constant Field Values

### TYPE_UPDATED

public static final char TYPE_UPDATED
Char 'U' (item updated).

See Also:
  - Constant Field Values

## Constructor Details

### SVNChangeEntry

public SVNChangeEntry(String path, SVNNodeKind kind, char type, String copyFromPath, long copyFromRevision, boolean hasTextModifications, boolean hasPropModifications)
Constructs a change entry object.

Parameters:
  `path` - the path of a changed item
  `kind` - node kind
  `type` - a change type (one of static fields)
  `copyFromPath` - a copy-from source path (if the item is copied)
  `copyFromRevision` - a revision of a copy-from source (if the item is copied)
  `hasTextModifications` - true if `path` is a file and it's modified, false otherwise
  `hasPropModifications` - true if the item has property modifications

## Method Details

### getCopyFromPath

public String getCopyFromPath()
Returns a copy-from source path.

Returns:
  a copy-from path

### getCopyFromRevision

public long getCopyFromRevision()
Returns a copy-from source revision.

Returns:
  a copy-from revision number

### getPath

public String getPath()
Returns the absolute path of the changed item represented by this object.

Returns:
  the absolute path

### getType

public char getType()
Returns the type of the item change.

Returns:
  a char that is one of static fields of this class

### hasPropertyModifications

public boolean hasPropertyModifications()
Says whether the item's properties were modified.

Returns:
  true if the item has property modifications, otherwise false

### hasTextModifications

public boolean hasTextModifications()
Says whether the file item's contents were modified. This method is relevant only for file contents.

Returns:
  true if the item has text modifications, otherwise false

### getKind

public SVNNodeKind getKind()
Returns the node kind of the item.

Returns:
  an item node kind